Status: Accepted Priority: Should have
Author: Andreas Wolf Category: Backend User Interface
Created: 2014-05-04 Assigned To: Andreas Wolf
Updated: 2015-07-14 Due date:
Sprint Focus:
Subject: Cleanup FormEngine suggest
Description

The code of FormEngine (/TCEforms) suggest is quite complex, has little comments and long methods. It should be refactored to
simplify further steps in making it more usable.

Subtasks:
Task # 67593: Split up Suggest AJAX method Resolved
Task # 68124: Factor out search results and their processing Under Review
Task # 68126: Factor out AJAX endpoint In Progress
Related issues:
related to Core - Task # 39723: TCEforms: Migrate Suggest wizard to jQuery Resolved

History
#1 - 2014-09-19 19:12 - Andreas Wolf

See https://github.com/andreaswolf/TYPO3.CMS/tree/task/tceforms-suggest-jquery for the current state of this

#2 - 2014-12-23 19:46 - Mathias Schreiber
- Target version changed from 7.0 to 7.1 (Cleanup)

#3 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)

#4 - 2015-06-18 11:33 - Andreas Wolf
- Tracker changed from Task to Epic
- Subject changed from Cleanup structure of FormEngine suggest feature to Cleanup FormEngine suggest
